Subject: bug#78680: typescript-ts-mode "fills" code when using (fill-paragraph)

From: Konstantin Kharlamov <[email-masked]>
Date: Tue, 03 Jun 2025 19:14:01 +0300

On Tue, 2025-06-03 at 18:41 +0300, Juri Linkov wrote:
> 'c-ts-common-comment-setup' is a too confusing name.
> It does more than just setting comment-related variables.
> So 8bccccedb65a should have retained 'c-ts-common-comment-setup'.
> Therefore I restored it in js-ts-mode and typescript-ts-base-mode.

So you did exactly same thing as my patch, but instead of applying mine
to account for contribution since I researched the problem and wrote
the code, you just wrote same thing yourself. This is not fair.